<?php
/**
* @package RSSeo!
* @copyright (C) 2015 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
JText::script('COM_RSSEO_LOAD_MORE');
JText::script('COM_RSSEO_LOADING'); ?>

<div class="row-fluid">
	<?php if (!$this->config->track_visitors) { ?><div class="alert alert-danger"><?php echo JText::_('COM_RSSEO_TRACK_VISITORS_DISABLED'); ?></div><?php } ?>
	<div class="well">
		<div id="rsseo-filter">
			<div class="btn-group pull-right">
				<button class="btn btn-info button" type="button" onclick="rsseo_update_visitors();"><?php echo JText::_('COM_RSSEO_GLOBAL_UPDATE'); ?></button>
			</div>
			<div class="btn-group pull-right">&nbsp;</div>
			<div class="btn-group pull-right">
				<?php echo JHTML::_('calendar', $this->to, 'rsto', 'rsto', '%Y-%m-%d' , array('class' => 'input-small')); ?>
			</div>
			<div class="btn-group pull-right">&nbsp;</div>
			<div class="btn-group pull-right">
				<?php echo JHTML::_('calendar', $this->from, 'rsfrom', 'rsfrom', '%Y-%m-%d' , array('class' => 'input-small')); ?>
			</div>
			<div class="clearfix clr"> </div>
		</div>
		
		<div class="visitors-stats">
			<div class="rsseo-box">
				<div class="rsseo-box-image">
					<i class="icon-user rsseo-box-icon-visitors"></i>
				</div>
				<div class="rsseo-box-content">
					<strong id="total-visitors"><?php echo $this->totalvisitors; ?></strong>
					<span><?php echo JText::_('COM_RSSEO_TOTAL_VISITORS'); ?></span>
				</div>
			</div>
			<div class="rsseo-box">
				<div class="rsseo-box-image">
					<i class="icon-eye rsseo-box-icon-pageviews"></i>
				</div>
				<div class="rsseo-box-content">
					<strong id="total-pageviews"><?php echo $this->totalpageviews; ?></strong>
					<span><?php echo JText::_('COM_RSSEO_TOTAL_PAGEVIEWS'); ?></span>
				</div>
			</div>
			<div class="rsseo-box">
				<div class="rsseo-box-image">
					<i class="icon-user rsseo-box-icon-visitors"></i>
				</div>
				<div class="rsseo-box-content">
					<strong id="visitors-timeframe"><?php echo $this->totalvisitorst; ?></strong>
					<span><?php echo JText::_('COM_RSSEO_TOTAL_VISITORS_IN_PERIOD'); ?></span>
				</div>
			</div>
			<div class="rsseo-box">
				<div class="rsseo-box-image">
					<i class="icon-eye rsseo-box-icon-pageviews"></i>
				</div>
				<div class="rsseo-box-content">
					<strong id="pageviews-timeframe"><?php echo $this->totalpageviewst; ?></strong>
					<span><?php echo JText::_('COM_RSSEO_TOTAL_PAGEVIEWS_IN_PERIOD'); ?></span>
				</div>
			</div>
		</div>
		
		<hr />
		
		<div class="visitors-container">
			<div class="row-fluid">
				<div class="chart_visitors_container span6">
					<h3 class="text-center"><?php echo JText::_('COM_RSSEO_CHART_VISITS_TITLE'); ?></h3>
					<img src="<?php echo JURI::root(); ?>administrator/components/com_rsseo/assets/images/rssloader.gif" alt="" id="chart_visitors_loading" style="display: none;" />
					<div id="chart_visitors"></div>
				</div>
				<div class="chart_pageviews_container span6">
					<h3 class="text-center"><?php echo JText::_('COM_RSSEO_CHART_PAGEVIEWS_TITLE'); ?></h3>
					<img src="<?php echo JURI::root(); ?>administrator/components/com_rsseo/assets/images/rssloader.gif" alt="" id="chart_pageviews_loading" style="display: none;" />
					<div id="chart_pageviews"></div>
				</div>
			</div>
			<div class="clr"></div>
			
			<hr />
			
			<div class="row-fluid" id="visitors-table">
				<table class="table adminlist">
					<thead>
						<tr>
							<th width="15%"><?php echo JText::_('COM_RSSEO_CHART_DATE'); ?></th>
							<th width="15%"><?php echo JText::_('COM_RSSEO_IP'); ?></th>
							<th><?php echo JText::_('COM_RSSEO_EXIT_PAGE'); ?></th>
							<th width="10%">&nbsp;</th>
						</tr>
					</thead>
					<tbody>
					<?php foreach ($this->visitors as $visitor) { ?>
						<tr>
							<td><?php echo JHtml::_('date', $visitor->date, $this->config->global_dateformat); ?></td>
							<td><?php echo $visitor->ip; ?></td>
							<td><a href="<?php echo JUri::root().$visitor->page; ?>" target="_blank"><?php echo empty($visitor->page) ? JUri::root() : $visitor->page; ?></a></td>
							<td><a class="modal" rel="{handler: 'iframe', size: {x:800,y:600}}" href="<?php echo JRoute::_('index.php?option=com_rsseo&view=statistics&layout=pageviews&tmpl=component&id='.$visitor->id,false); ?>"><?php echo JText::_('COM_RSSEO_VIEW_PAGEVIEWS'); ?></a></td>
						</tr>
					<?php } ?>
					</tbody>
					<tfoot>
						<tr id="visitors-pagination" <?php if ($this->total <= $this->count) { ?>style="display: none;<?php } ?>">
							<td colspan="4" class="center" align="center">
								<button type="button" class="rsseo-btn" onclick="rsseo_load_visitors()"><?php echo JText::_('COM_RSSEO_LOAD_MORE'); ?></button>
							</td>
						</tr>
					</tfoot>
				</table>
				<span id="visitors-total" style="display: none;"><?php echo $this->total; ?></span>
			</div>
			
		</div>
	</div>
</div>